For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
            • GETGet Country
            • GETGet State
            • GETList Addresses
            • POSTCreate Company Address
            • GETGet Address
            • PUTUpdate Address
            • DELDelete Address
            • POSTBulk Create Addresses
            • GETList Address Extra Field Configs
          • Authentication
          • Channels
          • Company
          • Invoice Management
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementAddresses

List Address Extra Field Configs

GET
https://api-b2b.bigcommerce.com/api/v3/io/addresses/extra-fields
GET
/api/v3/io/addresses/extra-fields
$curl https://api-b2b.bigcommerce.com/api/v3/io/addresses/extra-fields \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
200Retrieved
1{
2 "code": 200,
3 "data": [
4 {
5 "id": 987654,
6 "uuid": "a3f1c9e2-4b7d-11ec-81d3-0242ac130003",
7 "fieldName": "Customer VAT Number",
8 "fieldType": 0,
9 "isRequired": true,
10 "isUnique": true,
11 "visibleToEnduser": true,
12 "configType": 1,
13 "defaultValue": "VAT123456",
14 "maximumLength": "50",
15 "numberOfRows": "3",
16 "maximumValue": "1000",
17 "listOfValue": [
18 "Retail",
19 "Wholesale",
20 "Distributor"
21 ]
22 }
23 ],
24 "meta": {
25 "pagination": {
26 "totalCount": 1,
27 "limit": 10,
28 "offset": 0
29 },
30 "message": "SUCCESS"
31 }
32}
Returns a list of available extra fields configurations for Company addresses. We recommend caching the response results to avoid frequent API requests.
Was this page helpful?
Previous

Bulk Create Addresses

Next

Authentication

Built with

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Query parameters

offsetintegerOptional>=0Defaults to 0

The number of results to skip before returning the first result. If left blank, this defaults to 0.

limitintegerOptionalDefaults to 10

Determines the number of records to return per page. If left blank, this defaults to 10.

Response

OK
codeintegerDefaults to 200
datalist of objects
metaobject